/*
* Author:          Patrick-Christopher Mattulat
 * Co-Author:       Claude Sonnet 4.6 (LLM)
* Company:         Lynar Studios
* E-Mail:          webmaster@lynarstudios.com
* Created:         2023-02-04
* Changed:         2026-06-23
*
* */

#include <ls-std/io/FilePathSeparator.hpp>

using ls::standard::io::FilePathSeparator;

FilePathSeparator::FilePathSeparator() = default;

FilePathSeparator::~FilePathSeparator() = default;

#if defined(unix) || defined(__APPLE__)
char FilePathSeparator::get()
{
  return '/';
}
#endif
#ifdef _WIN32
char FilePathSeparator::get()
{
  return '\\';
}
#endif

char FilePathSeparator::getUnixFilePathSeparator()
{
  return '/';
}

char FilePathSeparator::getWindowsFilePathSeparator()
{
  return '\\';
}
